Page MenuHomePhabricator

File from Commons still listed in category of local project (Chinese Wikipedia) though the file is actually not uploaded locally
Closed, ResolvedPublic

Description

The condition appears on this category:
https://zh.wikipedia.org/wiki/Category:%E7%BE%8E%E5%9B%BD%E5%85%AC%E5%85%B1%E9%A2%86%E5%9F%9F%E5%9B%BE%E5%83%8F

The file in Chinese Wikipedia:
https://zh.wikipedia.org/wiki/File:Cow_on_pole_with_horns.jpeg

It is already in Wikimedia Commons and not existed in Chinese Wikipedia, but the category remains this file.

Event Timeline

Restricted Application added projects: Commons, Multimedia. · View Herald TranscriptOct 23 2017, 6:16 AM
Restricted Application added subscribers: Cosine02, Aklapper. · View Herald Transcript
Taiwania_Justo renamed this task from A file from Wikimedia Commons is still appeared in a local (Chinese Wikimedia) category but the file is actually not uploaded to this local Wikipedia to A file from Wikimedia Commons is still appeared in a local (Chinese Wikipedia) category but the file is actually not uploaded to this local Wikipedia.Oct 23 2017, 6:24 AM

Hi @Taiwania_Justo,
unfortunately this report lacks some information. Please add a more complete description to this report (a list of steps to reproduce which leave no room for interpretation what to do, describing actual results and expected results after performing the steps to reproduce). You can edit the task description by clicking Edit Task.

I do not see any bug or problem described in this task (yet).
Both https://zh.wikipedia.org/wiki/File:Cow_on_pole_with_horns.jpeg and https://commons.wikimedia.org/wiki/File:Cow-on_pole,_with_antlers.jpeg exist.
If you want to see https://zh.wikipedia.org/wiki/File:Cow_on_pole_with_horns.jpeg deleted, you need to contact the zh.wikipedia community? Or do I misunderstand?

Taiwania_Justo added a comment.EditedOct 23 2017, 7:41 AM

Hi @Aklapper

The file page in Chinese Wikipedia (https://zh.wikipedia.org/wiki/File:Cow_on_pole_with_horns.jpeg) has a template with Wikimedia Commons logo. This means that the file is existed in Wikimedia Commons, not Chinese Wikipedia.

And when we delete a file from Chinese Wikipedia, the categories tagged to the file should not seen the file in these categories. Also, a file from Wikimedia Commons and never existed in a local Wikimedia projects should not appeares in a category of the local Wikimedia projects.

But in this case, https://zh.wikipedia.org/wiki/Category:%E7%BE%8E%E5%9B%BD%E5%85%AC%E5%85%B1%E9%A2%86%E5%9F%9F%E5%9B%BE%E5%83%8F appears the Cow_on_pole_with_horns.jpeg and cannot removed from this category.

Taiwania_Justo renamed this task from A file from Wikimedia Commons is still appeared in a local (Chinese Wikipedia) category but the file is actually not uploaded to this local Wikipedia to A file from Wikimedia Commons is still appeared in a category of a local (Chinese Wikipedia) but the file is actually not uploaded to this local Wikipedia.Oct 23 2017, 7:54 AM
Taiwania_Justo renamed this task from A file from Wikimedia Commons is still appeared in a category of a local (Chinese Wikipedia) but the file is actually not uploaded to this local Wikipedia to A file from Wikimedia Commons is still appeared in a category of a local project (Chinese Wikipedia) but the file is actually not uploaded to this local Wikipedia.
Aklapper renamed this task from A file from Wikimedia Commons is still appeared in a category of a local project (Chinese Wikipedia) but the file is actually not uploaded to this local Wikipedia to File from Commons still listed in category of local project (Chinese Wikipedia) though the file is actually not uploaded locally.Oct 23 2017, 8:26 AM
Taiwania_Justo added a subscriber: Shizhao.EditedOct 27 2017, 4:05 AM

@Aklapper @A2093064 @Shizhao I've tried the null edit and real edit, but the file is still exist.

@Aklapper @A2093064 @Shizhao I've tried the null edit and real edit, the file is still exist.

@zhuyifei1999 ^^

A2093064 added a comment.EditedOct 27 2017, 4:40 AM

I think that make edit in File:Cow-on_pole,_with_antlers.jpeg will be works. But it doesn't.

I add {{PD-US}} into File:Cow-on_pole,_with_antlers.jpeg, and I found there are 2 sames file in Category:美国公共领域图像.


But the filename is different.

A2093064 closed this task as Resolved.EditedAug 15 2018, 12:54 AM
A2093064 claimed this task.

[[File:Cow on pole with horns.jpeg]] is redirect to [[File:Cow-on pole, with antlers.jpeg]] on Commons, and there is a local description page for [[File:Cow on pole with horns.jpeg]], so this file is shown in [[Category:美国公共领域图像]]. Now I remove the category markup (transclude via {{PD-USGov-NOAA}} ) and the file is no longer shown in the category.

Shizhao moved this task from Backlog to Closed on the Chinese-Sites board.Aug 20 2018, 3:01 AM